summary refs log tree commit diff
diff options
context:
space:
mode:
-rw-r--r--git-fetch-email.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/git-fetch-email.sh b/git-fetch-email.sh
index 0979a46..704651b 100644
--- a/git-fetch-email.sh
+++ b/git-fetch-email.sh
@@ -26,7 +26,9 @@ from=$(git config fetchemail.from)
 to=$(git config fetchemail.to)
 cc=$(git config fetchemail.cc)
 
-set -- $(getopt 'C:F:S:T:h:m:p:' $*)
+args=$(getopt 'C:F:S:T:h:m:p:' $*)
+[ $? -ne 0 ] && exit 1
+set -- $args
 for opt; do
 	shift;
 	case "$opt" in
span title='2020-06-01 15:52:22 -0400'>2020-06-01Allow redirecting input in everJune McEnroe 2020-05-31Add %c conversion to c scriptJune McEnroe 2020-05-31Add c script to READMEJune McEnroe 2020-05-31Add c scriptJune McEnroe 2020-05-31Update mdoc source URLsJune McEnroe 2020-05-26Remove unfinished PSF fontsJune McEnroe